List add-ons for an event occurrence
curl --request GET \
--url https://api.letsdothis.com/v0/event-occurrences/{id}/add-ons \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/event-occurrences/{id}/add-ons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/event-occurrences/{id}/add-ons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "5fcd4b7e-1a2c-4d89-8f31-6b72e09a45c3",
"externalAddOnId": "city-marathon-tshirt",
"eventIds": [],
"eventOccurrenceIds": [
"5876543210"
],
"raceIds": [],
"ticketSlugs": [
"city-marathon-2026"
],
"name": "City Marathon Technical T-shirt",
"displayName": "Race T-shirt",
"description": "Lightweight, moisture-wicking running T-shirt available for collection on race day.",
"allocationType": "TO_PARTICIPANT",
"category": "CLOTHING",
"images": [
{
"uri": "https://images.letsdothis.com/addons/city-marathon-tshirt.jpg"
}
],
"variants": [
{
"id": "29bb39a4-3206-4f43-9a6a-79d83fc1c31e",
"externalVariantId": "city-marathon-tshirt-navy-m",
"name": "Navy / Medium",
"properties": {
"COLOR": "Navy",
"SIZE": "M"
},
"price": {
"value": 2500,
"currencyCode": "USD"
},
"externalSku": "CITY-TSHIRT-NVY-M",
"fulfilmentMethods": [
"RACE_DAY"
]
},
{
"id": "f4e8bc19-1d63-4ab7-b152-528a49d8a672",
"externalVariantId": "city-marathon-tshirt-navy-l",
"name": "Navy / Large",
"properties": {
"COLOR": "Navy",
"SIZE": "L"
},
"price": {
"value": 2500,
"currencyCode": "USD"
},
"externalSku": "CITY-TSHIRT-NVY-L",
"fulfilmentMethods": [
"RACE_DAY"
]
}
]
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Add-ons
List add-ons for an event occurrence
Returns your add-ons that can be sold on an event occurrence.
An add-on may apply to only some of the occurrence’s tickets. To find which, match its ticketSlugs to each ticket’s ticketSlug and its raceIds to each ticket’s raceId. A ticket that matches any of its lists can have the add-on.
GET
/
v0
/
event-occurrences
/
{id}
/
add-ons
List add-ons for an event occurrence
curl --request GET \
--url https://api.letsdothis.com/v0/event-occurrences/{id}/add-ons \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/event-occurrences/{id}/add-ons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/event-occurrences/{id}/add-ons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "5fcd4b7e-1a2c-4d89-8f31-6b72e09a45c3",
"externalAddOnId": "city-marathon-tshirt",
"eventIds": [],
"eventOccurrenceIds": [
"5876543210"
],
"raceIds": [],
"ticketSlugs": [
"city-marathon-2026"
],
"name": "City Marathon Technical T-shirt",
"displayName": "Race T-shirt",
"description": "Lightweight, moisture-wicking running T-shirt available for collection on race day.",
"allocationType": "TO_PARTICIPANT",
"category": "CLOTHING",
"images": [
{
"uri": "https://images.letsdothis.com/addons/city-marathon-tshirt.jpg"
}
],
"variants": [
{
"id": "29bb39a4-3206-4f43-9a6a-79d83fc1c31e",
"externalVariantId": "city-marathon-tshirt-navy-m",
"name": "Navy / Medium",
"properties": {
"COLOR": "Navy",
"SIZE": "M"
},
"price": {
"value": 2500,
"currencyCode": "USD"
},
"externalSku": "CITY-TSHIRT-NVY-M",
"fulfilmentMethods": [
"RACE_DAY"
]
},
{
"id": "f4e8bc19-1d63-4ab7-b152-528a49d8a672",
"externalVariantId": "city-marathon-tshirt-navy-l",
"name": "Navy / Large",
"properties": {
"COLOR": "Navy",
"SIZE": "L"
},
"price": {
"value": 2500,
"currencyCode": "USD"
},
"externalSku": "CITY-TSHIRT-NVY-L",
"fulfilmentMethods": [
"RACE_DAY"
]
}
]
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}This endpoint is restricted and not generally available: organizations that have not been enabled receive a
403. Contact your Let’s Do This representative if you’d like access.Authorizations
Query Parameters
Response
A page of the add-on products that can be sold on the occurrence.
Where you are in a paginated list.
Pass next as page[after] to get the next page, or prev as page[before] to get the previous one. An empty cursor means there are no more pages in that direction. Treat cursors as opaque strings.
Show child attributes
Show child attributes
Example:
{
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
Was this page helpful?

